--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: response
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Base RestClient exception when there's a response available
constants: []

full_name: RestClient::ExceptionWithResponse
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: http_body
- !ruby/object:RI::MethodSummary 
  name: http_code
name: ExceptionWithResponse
superclass: Exception
